Contents
axPanel Help

axPanel is a activeX control, written in VB5-SP3,  which can be used as a replacement for a couple of controls that come with VB. It is a 3D panel, frame control, and progress meter all in one and is only 70K, as compared to THREED32 (196K) and COMCTL32 (600K).

Installation

Revisions

License

Tech Support

Properties

Methods

Events


Revisions

1.1	Initial release


License

This control was developed and published by Software Solution. You may use it freely for development with Microsoft Visual Basic 5.0. This product is freeware and includes source code which you may change to suit your purposes.


Tech Support

If you have any problems installing or using this control, please feel free to contact our technical support department at one of the following:

Internet:

kirkq@execpc.com

Telephone:

414-251-0915

Snail Mail:

N92W17053 Roger Ave

Menomonee Falls, WI 53051

HEY! Check out our world wide web page at:

HTTP://www.execpc.com/~kirkq


Properties

Align

Returns/sets a value that determines where an object is displayed on a form

BackColor

Returns/sets the background color of the object

Borderstyle

Returns/sets the borderstyle for an object

Caption

Returns/sets the text displayed in an object's title bar

Enabled

Returns/sets a value that determines whether an object can respond to user-generated events

FloodBackColor

Returns/set color of inactive bars in Win95 style progress bar (only)

FloodColor

Returns/sets the color used to paint the area inside the panel's inner bevel when control is used as a progress indicator

FloodPercent

Returns/sets the percentage of the painted area inside the panel's inner bevel when control is used as a progress indicator

FloodShowPct

Determines whether current setting of FloodPercent is displayed when control is used as a progress indicator

FloodType

Determines if and how the panel is used as a progress indicator

Font

Returns/sets the font to be used to display the caption and text for the control

ForeColor

Returns/set the color of the caption and text for the control

Height

Returns/sets the height of an object

Left

Returns/sets the distance between the internal left edge of an object and the left edge of its container

Text

Returns/sets the text displayed within the inner bevel of the panel if control is not used as a progress indicator

TextAlignment

Returns/sets the alignment of text in the panel

TextType

Returns/sets a value to determine if text displayed is user-defined, current date, or current time

Top

Returns/sets the distance between the internal top edge of an object and the top edge of its container

Visible

Returns/set a value that determines whether an object is visible or hidden

Width

Returns/sets the width of an object


Methods

ShowAbout

Show about box for control


Events

None


Installation

- Unzip the source code with directories intact.

- Load the sample Project1 with Visual Basic. This should register the OCX for use with other VB applications. If it does not load correctly, then from the DOS prompt, move to the install directory and type: regsvr32 axPanel.ocx (you may need to put c:\windows\system\ in front of regsvr32 if you don't have a path.

- Whenever you want to add the control to a VB application, go to the Project/Components menu and select "ActiveX Panel".